Package it.ernytech.tdlib.utils

## Class LoadLibrary

- java.lang.Object
- - it.ernytech.tdlib.utils.LoadLibrary

    public class LoadLibrary
    extends java.lang.Object

The class to load the libraries needed to run Tdlib

### Constructor Summary

Constructors
`LoadLibrary()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Os` `getOs()`
`static void` `load​(java.lang.String libname)` Load a library installed in the system (priority choice) or a library included in the jar.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoadLibrary

    public LoadLibrary()

### Method Detail

#### load

    public static void load​(java.lang.String libname)
                     throws CantLoadLibrary

Load a library installed in the system (priority choice) or a library included in the jar.

Parameters:
  `libname` - The name of the library.
Throws:
  `CantLoadLibrary` - An exception that is thrown when the LoadLibrary class fails to load the library.

#### getOs

    public static Os getOs()